/*
 Navicat Premium Dump SQL

 Source Server         : 192.168.9.74
 Source Server Type    : MySQL
 Source Server Version : 100412 (10.4.12-MariaDB)
 Source Host           : 192.168.9.74:3306
 Source Schema         : dlp_identification_material_repository

 Target Server Type    : MySQL
 Target Server Version : 100412 (10.4.12-MariaDB)
 File Encoding         : 65001

 Date: 14/01/2025 11:48:54
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for association_open
-- ----------------------------
DROP TABLE IF EXISTS `association_open`;
CREATE TABLE `association_open`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '关联开箱id',
  `sample_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本id',
  `open_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '开箱记录id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of association_open
-- ----------------------------

-- ----------------------------
-- Table structure for b_drug_case_info
-- ----------------------------
DROP TABLE IF EXISTS `b_drug_case_info`;
CREATE TABLE `b_drug_case_info`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键标识',
  `case_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '案事件名称',
  `case_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '案件编号',
  `apply_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '关联送缴申请的id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `case_no_index`(`case_no` ASC) USING BTREE COMMENT '案件编号唯一索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '毒品库中关联的案事件信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of b_drug_case_info
-- ----------------------------
INSERT INTO `b_drug_case_info` VALUES ('1878622265365458946', '南明区2025年1号案件', 'DRUGNAMMING001', '1878622263062786050', '2025-01-13 09:57:05', '2025-01-13 09:57:05', '36d7120c193de6a7a47b3804914f6290', '36d7120c193de6a7a47b3804914f6290');
INSERT INTO `b_drug_case_info` VALUES ('1878622652453580802', '南明区2025年2号案件', 'DRUGNAMMING002', '1878622263062786050', '2025-01-13 09:58:38', '2025-01-13 09:58:38', '36d7120c193de6a7a47b3804914f6290', '36d7120c193de6a7a47b3804914f6290');
INSERT INTO `b_drug_case_info` VALUES ('1878643312747790338', '案件7号测试', 'NS41526985', '1878643307324555266', '2025-01-13 11:20:43', '2025-01-13 11:20:43', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_case_info` VALUES ('1878645765245472769', '1-13案件', 'NA1365265', '1878645763009908738', '2025-01-13 11:30:28', '2025-01-13 11:30:28', '36d7120c193de6a7a47b3804914f6290', '36d7120c193de6a7a47b3804914f6290');
INSERT INTO `b_drug_case_info` VALUES ('1878750549297582082', '案件10号', 'AJ526365', '1878748674615570433', '2025-01-13 18:26:51', '2025-01-13 18:26:51', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715');
INSERT INTO `b_drug_case_info` VALUES ('1878974405895507969', '2025年观山湖区1号毒品送缴案件', 'DGSH20250001', '1878974404901457922', '2025-01-14 09:16:22', '2025-01-14 09:16:22', '97851549ceb3cef2c01de71a5321bad7', '97851549ceb3cef2c01de71a5321bad7');
INSERT INTO `b_drug_case_info` VALUES ('1878975329615466497', '2025年观山湖区2号毒品送缴案件', 'DGSH20250002', '1878974404901457922', '2025-01-14 09:20:02', '2025-01-14 09:20:02', '97851549ceb3cef2c01de71a5321bad7', '97851549ceb3cef2c01de71a5321bad7');

-- ----------------------------
-- Table structure for b_drug_handing_over_apply
-- ----------------------------
DROP TABLE IF EXISTS `b_drug_handing_over_apply`;
CREATE TABLE `b_drug_handing_over_apply`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键标识',
  `apply_date` datetime NULL DEFAULT NULL COMMENT '申请时间',
  `handing_over_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '送缴用户',
  `handing_over_org` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '送缴单位',
  `handing_over_date` datetime NULL DEFAULT NULL COMMENT '送缴日期，用户提交送缴日期',
  `status` tinyint NULL DEFAULT NULL COMMENT '送缴申请状态，0 待送缴 | 3 待接收 | 5 同意接收 | -5 拒绝接收 | 9 完成收样',
  `reviewer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '接收人用户id',
  `review_date` datetime NULL DEFAULT NULL COMMENT '审核时间',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '同意/拒绝 原因',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  `solid_total_weight` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '固体毒品的总质量 (默认单位 g)',
  `liquid_total_volume` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '液体毒品的总体积 (默认单位 l)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '毒品库中关联的委托单位的送缴申请信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of b_drug_handing_over_apply
-- ----------------------------
INSERT INTO `b_drug_handing_over_apply` VALUES ('1878622263062786050', '2025-01-13 09:57:05', '36d7120c193de6a7a47b3804914f6290', '520102', '2025-01-13 09:59:21', 9, 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 09:59:52', '同意接收！', '2025-01-13 09:57:05', '2025-01-14 09:49:01', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae', '30.010000', '0');
INSERT INTO `b_drug_handing_over_apply` VALUES ('1878645763009908738', '2025-01-13 11:30:28', '36d7120c193de6a7a47b3804914f6290', '520102', '2025-01-13 11:30:54', 9, 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:31:34', '同意接收！', '2025-01-13 11:30:28', '2025-01-14 09:29:13', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae', '20', '0');
INSERT INTO `b_drug_handing_over_apply` VALUES ('1878748674615570433', '2025-01-13 18:19:24', 'd26046736c8c7bf2dd9ac996081d7715', '0', '2025-01-13 18:27:45', 9, 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:05', '同意接收！', '2025-01-13 18:19:24', '2025-01-13 18:43:34', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '20', '0');
INSERT INTO `b_drug_handing_over_apply` VALUES ('1878974404901457922', '2025-01-14 09:16:22', '97851549ceb3cef2c01de71a5321bad7', '520115', '2025-01-14 09:21:49', 9, 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:22:25', '同意接收！', '2025-01-14 09:16:22', '2025-01-14 09:24:13', '97851549ceb3cef2c01de71a5321bad7', 'f98ba4408b42a41984e2a34258f8acae', '11', '0.251000');

-- ----------------------------
-- Table structure for b_drug_material_info
-- ----------------------------
DROP TABLE IF EXISTS `b_drug_material_info`;
CREATE TABLE `b_drug_material_info`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键标识',
  `case_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '关联的案件id ',
  `drug_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '毒品检材编号',
  `drug_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '毒品检材名称',
  `type` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '毒品类型',
  `origin_mass_volume` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '原质量/体积（委托单位填写）',
  `origin_unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '原质量/体积 单位 （委托单位填写）',
  `recheck_mass_volume` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '复称质量/体积（接收单位填写）',
  `recheck_unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '复称质量/体积 单位 （接收单位填写）',
  `package_complete` tinyint NULL DEFAULT NULL COMMENT '包装是否完整， 1 完整 | 0 不完整',
  `status` int NULL DEFAULT 0 COMMENT '毒品检材状态， 0 待收样 | 1 待复称 | 2 已复称 | 3 待入库 | 5 已入库 | 7 已出库',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `drug_no_index`(`drug_no` ASC) USING BTREE COMMENT '编号唯一索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '毒品库中的毒品检材信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of b_drug_material_info
-- ----------------------------
INSERT INTO `b_drug_material_info` VALUES ('1878622265432567810', '1878622265365458946', 'JC5201020020250001', '冰毒01', '[{\"code\":\"3\",\"name\":\"甲基苯丙胺\",\"alias\":\"\",\"id\":\"1d9d178f893bfee2708f5b3d2aa07f43\"}]', '10', 'g', '10', 'g', 1, 5, '2025-01-13 09:57:05', '2025-01-14 09:30:13', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878622460044079105', '1878622265365458946', 'JC5201020020250002', '海洛因01', '[{\"code\":\"4\",\"name\":\"海洛因\",\"alias\":\"\",\"id\":\"156f65374fd0f1d60e1483ef5410aab9\"}]', '20', 'g', '10', 'mg', 1, 5, '2025-01-13 09:57:52', '2025-01-14 09:30:08', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878622652499718145', '1878622652453580802', 'JC5201020020250003', '芬太尼02', '[{\"code\":\"7\",\"name\":\"芬太尼\",\"alias\":\"\",\"id\":\"aae8d5e02e68bf4c68a3c550bfccab33\"}]', '10', 'g', '10', 'g', 1, 5, '2025-01-13 09:58:38', '2025-01-14 09:30:10', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878622773564108802', '1878622652453580802', 'JC5201020020250004', '海洛因02', '[{\"code\":\"4\",\"name\":\"海洛因\",\"alias\":\"\",\"id\":\"156f65374fd0f1d60e1483ef5410aab9\"}]', '10', 'g', '10', 'g', 1, 5, '2025-01-13 09:59:06', '2025-01-14 09:30:17', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878645765295804418', '1878645765245472769', 'JC5201020020250005', '海洛因', '[{\"code\":\"4\",\"name\":\"海洛因\",\"alias\":\"\",\"id\":\"156f65374fd0f1d60e1483ef5410aab9\"}]', '10', 'g', '10', 'g', 1, 5, '2025-01-13 11:30:28', '2025-01-14 09:25:29', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878645837630771201', '1878645765245472769', 'JC5201020020250006', '冰毒', '[{\"code\":\"3\",\"name\":\"甲基苯丙胺\",\"alias\":\"\",\"id\":\"1d9d178f893bfee2708f5b3d2aa07f43\"},{\"code\":\"7\",\"name\":\"美托咪酯\",\"alias\":\"\",\"id\":\"71A83C2E0B8E52EB1AFD555D4BA28E56\"}]', '10', 'mg', '10', 'g', 1, 5, '2025-01-13 11:30:45', '2025-01-14 09:25:32', '36d7120c193de6a7a47b3804914f6290', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878750549620543489', '1878750549297582082', 'JC0000000020250001', '海洛因', '[{\"code\":\"4\",\"name\":\"海洛因\",\"alias\":\"\",\"id\":\"156f65374fd0f1d60e1483ef5410aab9\"},{\"code\":\"3\",\"name\":\"甲基苯丙胺\",\"alias\":\"\",\"id\":\"1d9d178f893bfee2708f5b3d2aa07f43\"}]', '10', 'g', '10', 'g', 1, 2, '2025-01-13 18:26:51', '2025-01-14 09:25:05', 'd26046736c8c7bf2dd9ac996081d7715', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878750723981955074', '1878750549297582082', 'JC0000000020250002', '冰毒', '[{\"code\":\"3\",\"name\":\"甲基苯丙胺\",\"alias\":\"\",\"id\":\"1d9d178f893bfee2708f5b3d2aa07f43\"}]', '10', 'g', '10', 'g', 1, 2, '2025-01-13 18:27:32', '2025-01-14 09:25:08', 'd26046736c8c7bf2dd9ac996081d7715', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878974405933256706', '1878974405895507969', 'JC5201150020250001', '海洛因-0916', '[{\"code\":\"4\",\"name\":\"海洛因\",\"alias\":\"\",\"id\":\"156f65374fd0f1d60e1483ef5410aab9\"}]', '10', 'g', '11', 'g', 1, 5, '2025-01-14 09:16:22', '2025-01-14 09:23:47', '97851549ceb3cef2c01de71a5321bad7', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878974706086039554', '1878974405895507969', 'JC5201150020250002', '神仙水', '[{\"code\":\"178\",\"name\":\"γ-羟丁酸*\",\"alias\":\"\",\"id\":\"f2b8754e89dc3557a4121f338ca881e3\"}]', '50', 'ml', '50', 'ml', 1, 5, '2025-01-14 09:17:34', '2025-01-14 09:23:39', '97851549ceb3cef2c01de71a5321bad7', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878975329657409537', '1878975329615466497', 'JC5201150020250003', '开心水', '[{\"code\":\"3\",\"name\":\"甲基苯丙胺\",\"alias\":\"\",\"id\":\"1d9d178f893bfee2708f5b3d2aa07f43\"},{\"code\":\"5\",\"name\":\"氯胺酮\",\"alias\":\"\",\"id\":\"b45ce7984ebc97eb88e547a2e9630fe8\"}]', '100', 'ml', '100', 'ml', 1, 7, '2025-01-14 09:20:02', '2025-01-14 09:23:32', '97851549ceb3cef2c01de71a5321bad7', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_material_info` VALUES ('1878975589096083457', '1878975329615466497', 'JC5201150020250004', '液体冰毒', '[{\"code\":\"3\",\"name\":\"甲基苯丙胺\",\"alias\":\"\",\"id\":\"1d9d178f893bfee2708f5b3d2aa07f43\"}]', '100', 'ml', '101', 'ml', 1, 5, '2025-01-14 09:21:04', '2025-01-14 09:23:15', '97851549ceb3cef2c01de71a5321bad7', 'f98ba4408b42a41984e2a34258f8acae');

-- ----------------------------
-- Table structure for b_drug_usage_record
-- ----------------------------
DROP TABLE IF EXISTS `b_drug_usage_record`;
CREATE TABLE `b_drug_usage_record`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键标识',
  `drug_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '关联领用的毒品id',
  `usage_name` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '领用物品名称',
  `applicant` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '领用申请人',
  `applicant_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '领用申请人名称',
  `usage_date` datetime NULL DEFAULT NULL COMMENT '领用时间',
  `usage_purpose` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '领用目的',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '毒品检材的领用归还记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of b_drug_usage_record
-- ----------------------------
INSERT INTO `b_drug_usage_record` VALUES ('1878644502835466241', '1878622460044079105,1878622652499718145', '海洛因01,芬太尼02', 'f98ba4408b42a41984e2a34258f8acae', '张雪', '2025-01-13 00:00:00', 'lll', '2025-01-13 11:25:27', '2025-01-13 11:25:27', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae');
INSERT INTO `b_drug_usage_record` VALUES ('1878646912848990210', '1878645765295804418,1878645837630771201', '海洛因,冰毒', 'd26046736c8c7bf2dd9ac996081d7715', '莫永传', '2025-01-13 00:00:00', '1111111', '2025-01-13 11:35:02', '2025-01-13 11:35:02', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715');
INSERT INTO `b_drug_usage_record` VALUES ('1878751133085978626', '1878750549620543489,1878750723981955074', '海洛因,冰毒', 'd26046736c8c7bf2dd9ac996081d7715', '莫永传', '2025-01-13 00:00:00', '拿出来玩玩', '2025-01-13 18:29:10', '2025-01-13 18:29:10', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715');
INSERT INTO `b_drug_usage_record` VALUES ('1878983137283002370', '1878974706086039554,1878975329657409537', '神仙水,开心水', 'f98ba4408b42a41984e2a34258f8acae', '张雪', '2025-01-14 09:50:59', '测试', '2025-01-14 09:51:04', '2025-01-14 09:51:04', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae');

-- ----------------------------
-- Table structure for b_identification_material_transfer
-- ----------------------------
DROP TABLE IF EXISTS `b_identification_material_transfer`;
CREATE TABLE `b_identification_material_transfer`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `accept_date` datetime NULL DEFAULT NULL COMMENT '受理日期',
  `type` int NULL DEFAULT NULL COMMENT '1.委托；2.任务(任务不关心质量)',
  `analysis_sample_count` int NULL DEFAULT NULL COMMENT '分析样数量',
  `analysis_sample_weight` decimal(10, 3) NULL DEFAULT NULL COMMENT '分析样封装质量(/克)',
  `retained_sample_count` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '留存样数量',
  `retained_sample_weight` decimal(10, 3) NULL DEFAULT NULL COMMENT '留存样封装质量(/克)',
  `accept_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '委托是受理编号\r\n任务是任务名称+送检单位',
  `analysis_recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分析接收人',
  `analysis_recipient_date` datetime NULL DEFAULT NULL COMMENT '分析接收时间',
  `analysis_unseal_weight` decimal(10, 3) NULL DEFAULT NULL COMMENT '分析启封重量',
  `analysis_package_weight` decimal(10, 0) NULL DEFAULT NULL COMMENT '分析封装重量',
  `analysis_inbound_recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分析入库接收人(检材管理员)',
  `analysis_inbound_recipient_date` datetime NULL DEFAULT NULL COMMENT '分析入库接收日期',
  `retained_recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '留存接收人id',
  `retained_recipient_date` datetime NULL DEFAULT NULL COMMENT '留存接收日期',
  `en_job_id` int NULL DEFAULT NULL COMMENT '任务或委托id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of b_identification_material_transfer
-- ----------------------------

-- ----------------------------
-- Table structure for b_identification_material_transfer_analysis_annex
-- ----------------------------
DROP TABLE IF EXISTS `b_identification_material_transfer_analysis_annex`;
CREATE TABLE `b_identification_material_transfer_analysis_annex`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '流转附件表id',
  `analysis_sample_inbound_date` datetime NULL DEFAULT NULL COMMENT '分析样入库时间',
  `analysis_sample_outbound_date` datetime NULL DEFAULT NULL COMMENT '分析样出库时间',
  `analysis_sample_inbound_quality` decimal(5, 3) NULL DEFAULT NULL COMMENT '分析样入库质量',
  `analysis_sample_outbound_quality` decimal(5, 3) NULL DEFAULT NULL COMMENT '分析样出库质量',
  `inbound_admin_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库样本管理员id',
  `outbound_admin_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库样本管理员id',
  `inbound_appraiser_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库监督人id',
  `outbound_appraiser_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库监督人id',
  `inbound_handled_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库经手人',
  `outbound_handled_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库经手人',
  `sample_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '样本id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of b_identification_material_transfer_analysis_annex
-- ----------------------------

-- ----------------------------
-- Table structure for b_identification_material_transfer_retained_annex
-- ----------------------------
DROP TABLE IF EXISTS `b_identification_material_transfer_retained_annex`;
CREATE TABLE `b_identification_material_transfer_retained_annex`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '流转附件表id',
  `retained_sample_inbound_date` datetime NULL DEFAULT NULL COMMENT '留存样入库时间',
  `retained_sample_outbound_date` datetime NULL DEFAULT NULL COMMENT '留存样出库时间',
  `retained_sample_inbound_quality` decimal(5, 3) NULL DEFAULT NULL COMMENT '留存样入库质量',
  `retained_sample_outbound_quality` decimal(5, 3) NULL DEFAULT NULL COMMENT '留存样出库质量',
  `inbound_admin_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库样本管理员id',
  `outbound_admin_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库样本管理员id',
  `inbound_appraiser_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库监督人id',
  `outbound_appraiser_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库监督人id',
  `inbound_handled_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库经手人',
  `outbound_handled_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库经手人',
  `sample_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '样本id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of b_identification_material_transfer_retained_annex
-- ----------------------------

-- ----------------------------
-- Table structure for b_sample_storage
-- ----------------------------
DROP TABLE IF EXISTS `b_sample_storage`;
CREATE TABLE `b_sample_storage`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `sample_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '存储的样本id',
  `storage_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '存储位置',
  `status` int NOT NULL COMMENT '状态:已出库/已入库/待存放',
  `in_repository_date` datetime NULL DEFAULT NULL COMMENT '入库时间',
  `storage_cell_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '存储格子id',
  `storage_date` datetime NULL DEFAULT NULL COMMENT '存储期限',
  `depositor_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '存放人id',
  `recipient_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '领取人id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  `early_warning` int NULL DEFAULT NULL COMMENT '销毁预警:0.还未到销毁;1.已到销毁时间',
  `out_repository_date` datetime NULL DEFAULT NULL COMMENT '出库时间',
  `quality` decimal(10, 5) NULL DEFAULT NULL COMMENT '入库时的质量/体积',
  `unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '质量/体积计量单位',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本名称',
  `sample_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本类型',
  `return_time` datetime NULL DEFAULT NULL COMMENT '出库归还时间',
  `is_return` int NULL DEFAULT NULL COMMENT '出库后是否需要归还(1.需要归还-1不需要归还)',
  `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '出库用途(测试数据)',
  `building_lv` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '楼层',
  `room_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '房间号',
  `cabinet_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '柜子名称',
  `box_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '柜子id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of b_sample_storage
-- ----------------------------
INSERT INTO `b_sample_storage` VALUES ('00F9684D54FA2CF99F9A0C489752354E', '25ADF0C29762F4133CB744A6933291FA', 'F4-501-改造柜测试-1-C-1', 2, '2024-12-03 14:56:55', 'bd29fc06dc63aa5798bf2a2e870b8aee', '2124-12-03 14:56:55', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-12-03 14:56:55', '2024-12-03 14:57:19', '1c5987643d3a949b732542c448c120b5', '1c5987643d3a949b732542c448c120b5', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F4', '501', '改造柜测试', '3B29EDB9BDA84D406F87457B1FEB4ED6');
INSERT INTO `b_sample_storage` VALUES ('090D5426631383D296692FE5E05CC55A', '1878750723981955074', 'F6-602-16', 2, '2025-01-13 18:29:26', 'f37eee1e300833537758add49d4e6e61', '2125-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:32', '2025-01-13 18:29:37', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', 0, '2025-01-13 00:00:00', NULL, NULL, '冰毒', 'A', NULL, 1, '拿出来玩玩', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('0EE7541DCA84883E8096C2D18925446A', '4046FBD7AEAD6A6F7F16FAFF2E5084E9', NULL, 1, '2024-12-06 17:19:00', NULL, '2124-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-12-06 17:19:00', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('10E7375F31832D7F23E91572A2321B80', '2E4477BC71DCC9F848EE6AE6144272C1', NULL, 1, '2024-12-25 16:19:30', NULL, '2124-12-25 16:19:30', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2024-12-25 16:19:30', '2024-12-25 16:19:30', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '1-疑似摇头丸的白色药丸', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('1100E43ABF385B948A89425565E93F60', '1877653382269730818', 'F6-602-11', 2, '2025-01-13 09:20:59', 'd9e921e899ba28bcf1fd8d43cb0166ae', '2125-01-13 09:20:59', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '2025-01-13 09:21:35', '2025-01-13 09:35:13', 'd26046736c8c7bf2dd9ac996081d7715', 'aba4dff5a9762e5382d5dd95bf63d21a', 0, NULL, NULL, 'g', '冰毒', 'A', NULL, NULL, NULL, 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('144F792DC5D2A2E271D518353A8361BF', '1878622652499718145', 'F6-602-13', 2, '2025-01-13 10:31:33', '185b563a3cc280223fdec02cba9cee27', '2125-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:31:33', '2025-01-14 09:46:49', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, '2025-01-13 00:00:00', NULL, NULL, '芬太尼02', 'A', NULL, 1, 'lll', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('14A8F7F2661C0A77E2DDBE0D12391E1E', '1878974706086039554', 'F6-602-17', 2, '2025-01-14 09:52:06', 'de814e989f00f2bf43ca69be88bd7a30', '2125-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:52:13', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, '2025-01-14 09:50:59', NULL, NULL, '神仙水', 'A', NULL, 1, '测试', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('1A6B8E2220F54D8988946030A34238FD', '1878622773564108802', 'F6-602-13', 2, '2025-01-13 10:00:19', '185b563a3cc280223fdec02cba9cee27', '2125-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-13 10:00:19', '2025-01-14 09:46:49', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '海洛因02', 'A', NULL, NULL, NULL, 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('1C07158B5F43DE0D5BC5BA91559052D2', '1878622265432567810', 'F6-602-13', 2, '2025-01-13 10:00:19', '185b563a3cc280223fdec02cba9cee27', '2125-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-13 10:00:19', '2025-01-14 09:46:49', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '冰毒01', 'A', NULL, NULL, NULL, 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('2432EB1DC7E684A75459B0DBA2EA5056', '1878643312840065025', NULL, 1, '2025-01-13 11:27:03', NULL, '2125-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '海洛因', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('2B025BAA0C489408C916B4DC317A859F', '1878974405933256706', 'F6-602-12', 2, '2025-01-14 09:23:50', '7031117e8fa4a229224d183133d3afc8', '2125-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-14 09:23:50', '2025-01-14 09:24:07', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '海洛因-0916', 'A', NULL, NULL, NULL, 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('3F149F6A9DD4B153EADB7A5AEDDAF8FA', '60F148339E5232E020DB598A2EA0407D', NULL, 1, '2024-12-06 17:18:13', NULL, '2124-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-12-06 17:18:13', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒2', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('3F49B7E1AA0C6FBDB6561BF2A9050B5F', '1878975329657409537', 'F6-602-12', 3, '2025-01-14 09:23:50', '7031117e8fa4a229224d183133d3afc8', '2125-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:24:07', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, '2025-01-14 09:50:59', NULL, NULL, '开心水', 'A', NULL, 1, '测试', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('48514FCD3E369A0657C6BB44330FD8AC', '1878643452430696449', NULL, 1, '2025-01-13 11:27:03', NULL, '2125-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '冰毒', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('564C4092DC4D471E59B34757D87AFDF2', '8A0C81FE9E9BCB44A22E1C7A4620CFBD', 'F10-1022-毛发改造柜-1-A-1', 2, '2024-11-29 17:34:56', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 17:34:56', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-11-29 17:34:56', '2024-11-29 17:35:38', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('63CACBEFADE3E9C08EEFD4E650D42D40', '1878622460044079105', 'F6-602-13', 2, '2025-01-13 10:31:33', '185b563a3cc280223fdec02cba9cee27', '2125-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:31:33', '2025-01-14 09:46:49', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, '2025-01-13 00:00:00', NULL, NULL, '海洛因01', 'A', NULL, 1, 'lll', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('66D6FD330D30167582A5D0078C842101', 'ACEAAAE16A654DA5230B7FCE385CE3EE', 'F10-1022-毛发改造柜-1-A-1', 2, '2024-11-29 17:34:58', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-11-29 17:34:58', '2024-11-29 17:35:38', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('67235741723C314865151B87DC046FBD', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', 'F10-1022-毛发改造柜-1-A-1', 3, '2024-11-29 12:14:51', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 09:24:46', '50d28c59a966a690d264e2f111435068', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 09:24:46', '2024-11-29 12:15:43', '50d28c59a966a690d264e2f111435068', '8dc12f99dfe97426bf1ba00a0d037f60', 0, '2024-11-29 12:21:42', NULL, '', '疑似冰毒', 'A', '2024-11-29 00:00:00', 1, '检验鉴定', 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('69474950AB3366A448E2302B5DDD3949', '1878643544378228737', NULL, 1, '2025-01-13 11:27:03', NULL, '2125-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '摇头丸', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('6D81D2AC6FB6E50E469DEC0CBA231AC1', '1872090533366747137', '测试检材-105-A1-1', 2, '2024-12-26 09:22:19', 'fc1b3afa065f8b80834f705f3dfc4b23', '2124-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', NULL, '2024-12-26 09:22:19', '2024-12-26 09:22:46', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', 0, NULL, 45.43000, 'g', '疑似海洛因毒品', 'A', NULL, NULL, NULL, '测试检材', '105', '1号', 'F5C025F29F1594ACB617050EEAA25CD0');
INSERT INTO `b_sample_storage` VALUES ('75A503944AEAB32CD19F8D5561E6A3C6', '1878645765295804418', 'F6-602-3', 2, '2025-01-14 09:25:34', '27704d7c85bdb905dee7a17663b8f5d2', '2125-01-13 11:33:47', 'f98ba4408b42a41984e2a34258f8acae', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:33:47', '2025-01-14 09:29:09', 'd26046736c8c7bf2dd9ac996081d7715', 'f98ba4408b42a41984e2a34258f8acae', 0, '2025-01-13 11:51:51', NULL, NULL, '海洛因', 'A', NULL, 1, 'iiii', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('7A230948BA681866D322DBB8793D5450', '1877653464675221505', 'F6-602-11', 2, '2025-01-13 09:21:10', 'd9e921e899ba28bcf1fd8d43cb0166ae', '2125-01-13 09:21:10', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '2025-01-13 09:21:35', '2025-01-13 09:35:13', 'd26046736c8c7bf2dd9ac996081d7715', 'aba4dff5a9762e5382d5dd95bf63d21a', 0, NULL, NULL, 'g', '海洛因', 'A', NULL, NULL, NULL, 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('7E6AE3A0ACF3DA26ACF3C7CC663EB81C', 'B7F8F61FEA6A804CF3845199D8264BC9', 'F4-501-改造柜测试-1-C-1', 2, '2024-12-03 14:56:55', 'bd29fc06dc63aa5798bf2a2e870b8aee', '2124-12-03 14:56:55', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-12-03 14:56:55', '2024-12-03 14:57:19', '1c5987643d3a949b732542c448c120b5', '1c5987643d3a949b732542c448c120b5', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F4', '501', '改造柜测试', '3B29EDB9BDA84D406F87457B1FEB4ED6');
INSERT INTO `b_sample_storage` VALUES ('89C83D5EBBFF5C958B2EE3FDFCC175F2', '1872090533370941442', '测试检材-105-A1-1', 2, '2024-12-26 09:22:19', 'fc1b3afa065f8b80834f705f3dfc4b23', '2124-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', NULL, '2024-12-26 09:22:19', '2024-12-26 09:22:46', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', 0, NULL, 45.43000, 'g', '疑似摇头丸毒品', 'A', NULL, NULL, NULL, '测试检材', '105', '1号', 'F5C025F29F1594ACB617050EEAA25CD0');
INSERT INTO `b_sample_storage` VALUES ('8C20A2B527FAFBBA3499B9FAA5FD9F06', '1878750549620543489', 'F6-602-16', 2, '2025-01-13 18:29:26', 'f37eee1e300833537758add49d4e6e61', '2125-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:32', '2025-01-13 18:29:37', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', 0, '2025-01-13 00:00:00', NULL, NULL, '海洛因', 'A', NULL, 1, '拿出来玩玩', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('91F7ACD9A7E55F349490C3BBCFD569B2', '1878975589096083457', 'F6-602-12', 2, '2025-01-14 09:23:50', '7031117e8fa4a229224d183133d3afc8', '2125-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', NULL, '2025-01-14 09:23:50', '2025-01-14 09:24:07', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', 0, NULL, NULL, NULL, '液体冰毒', 'A', NULL, NULL, NULL, 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('9C0376CEC8D1345EB033DDD2562EE713', '13054A58F4CC01D6824CFF81916EF650', 'F10-1022-毛发改造柜-1-A-1', 2, '2024-11-29 17:34:57', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-11-29 17:34:57', '2024-11-29 17:35:38', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('AE09792F0712AD0E039B0E1C81D6E090', 'FC7CC05DD3D43BBF46341CB8463F4DE1', NULL, 1, '2024-12-06 17:18:12', NULL, '2124-12-06 17:18:12', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-12-06 17:18:12', '2024-12-06 17:18:12', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `b_sample_storage` VALUES ('B26E547566DDD36143AB002895FD862D', '2B8316CAF8EEB5762DDBE39238F8534C', 'F10-1022-毛发改造柜-1-A-1', 2, '2024-11-29 17:34:57', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-11-29 17:34:57', '2024-11-29 17:35:38', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('B40B6A819D243D7D190B047F0D1DB170', '94BCD67E9B32355F1B8972F6AF74460C', 'F10-1022-毛发改造柜-1-A-1', 2, '2024-11-29 17:34:58', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-11-29 17:34:58', '2024-11-29 17:35:38', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('DBC95E464AB87489F16D4A6E2D317CA4', '1878645837630771201', 'F6-602-3', 2, '2025-01-14 09:25:34', '27704d7c85bdb905dee7a17663b8f5d2', '2125-01-13 11:31:54', 'f98ba4408b42a41984e2a34258f8acae', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:31:54', '2025-01-14 09:29:09', 'd26046736c8c7bf2dd9ac996081d7715', 'f98ba4408b42a41984e2a34258f8acae', 0, '2025-01-13 11:51:51', NULL, NULL, '冰毒', 'A', NULL, 1, 'iiii', 'F6', '602', '智能柜', '4B5B0B011C6E646F1ADE1655AAC1808E');
INSERT INTO `b_sample_storage` VALUES ('EFA9B324C660BD3E4EC712F277F9CE2D', '69AE85ADC8AA6C47AB82512255BA2467', 'F10-1022-毛发改造柜-1-A-1', 2, '2024-11-29 17:34:58', '0ae7b81869f466e08338719f3eaa8e18', '2124-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-11-29 17:34:58', '2024-11-29 17:35:38', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, 'F10', '1022', '毛发改造柜', '98D098A31872F84B1A26BC3B0E376D63');
INSERT INTO `b_sample_storage` VALUES ('F2FB93DA56FC2A2C6DF154B558A7EB3A', '568DB8189320411A8D3C63A8AF06E607', NULL, 1, '2024-12-06 17:19:00', NULL, '2124-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '2024-12-06 17:19:00', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 0, NULL, NULL, '', '疑似冰毒', 'A', NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for cabinet_opening_record
-- ----------------------------
DROP TABLE IF EXISTS `cabinet_opening_record`;
CREATE TABLE `cabinet_opening_record`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '开箱记录id',
  `storage_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '存储位置(表示那个柜子)',
  `open_time` datetime NULL DEFAULT NULL COMMENT '开箱时间',
  `open_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '开箱人',
  `open_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '开箱类型:1.扫码开柜2.取检码开柜3.强制/点选开柜',
  `open_purpose` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '开箱用途:1.检材出库2.检材入库',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  `warehouse` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '仓库',
  `supervisor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '监督人',
  `apply_person` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '申请人/入库人领取人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cabinet_opening_record
-- ----------------------------

-- ----------------------------
-- Table structure for destruction_detail
-- ----------------------------
DROP TABLE IF EXISTS `destruction_detail`;
CREATE TABLE `destruction_detail`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `destruction_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '销毁公示id',
  `sample_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '销毁样本id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of destruction_detail
-- ----------------------------

-- ----------------------------
-- Table structure for destruction_publicity
-- ----------------------------
DROP TABLE IF EXISTS `destruction_publicity`;
CREATE TABLE `destruction_publicity`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `applicant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '申请人id',
  `reviewer_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '审核人id',
  `destroy_quantity` bigint NULL DEFAULT NULL COMMENT '销毁样本数量',
  `destroy_company` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '销毁单位',
  `destroy_date` datetime NULL DEFAULT NULL COMMENT '销毁时间',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  `status` int NULL DEFAULT NULL COMMENT '未发布/已发布',
  `create_time` datetime NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  `release_date` datetime NULL DEFAULT NULL COMMENT '发布时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of destruction_publicity
-- ----------------------------

-- ----------------------------
-- Table structure for out_warehouse_detailed
-- ----------------------------
DROP TABLE IF EXISTS `out_warehouse_detailed`;
CREATE TABLE `out_warehouse_detailed`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '--主键id',
  `apply_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '申请id',
  `sample_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '样本id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '出库明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of out_warehouse_detailed
-- ----------------------------
INSERT INTO `out_warehouse_detailed` VALUES ('40477FE6E6A65FB7C10DFFA3D770ED81', 'B4D5C543EE9131305FA6DF3C4123A8E5', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '2024-11-29 12:19:31', '2024-11-29 12:19:31', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60');
INSERT INTO `out_warehouse_detailed` VALUES ('7ACA28C37E4F1ABD59B86B894948B4D4', 'AC50A1BE10B984D57793B9A9937CC724', '94BCD67E9B32355F1B8972F6AF74460C', '2024-11-29 17:37:08', '2024-11-29 17:37:08', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60');
INSERT INTO `out_warehouse_detailed` VALUES ('AA83987477FABC27D392E7AC61BDB597', '8DEF48A6526BEF19690C779891E916CF', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '2024-11-29 09:34:14', '2024-11-29 09:34:14', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068');
INSERT INTO `out_warehouse_detailed` VALUES ('F14B646D41728A894667C4F7F74FA629', 'AC50A1BE10B984D57793B9A9937CC724', 'ACEAAAE16A654DA5230B7FCE385CE3EE', '2024-11-29 17:37:08', '2024-11-29 17:37:08', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60');

-- ----------------------------
-- Table structure for sample_apply
-- ----------------------------
DROP TABLE IF EXISTS `sample_apply`;
CREATE TABLE `sample_apply`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `applicant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '申请人id',
  `application_date` datetime NULL DEFAULT NULL COMMENT '申请日期',
  `application_status` int NULL DEFAULT NULL COMMENT '申请状态',
  `apply_quality` double NULL DEFAULT NULL COMMENT '申请重量',
  `apply_quantity` int NULL DEFAULT NULL COMMENT '申请数量',
  `approval_date` datetime NULL DEFAULT NULL COMMENT '审批人审批时间',
  `approver_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '审批人id',
  `approver_opinion` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '审批人意见',
  `first_auditor_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '一级审核员id',
  `first_audit_date` datetime NULL DEFAULT NULL COMMENT '一级审核时间',
  `first_audit_opinion` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一级审核意见',
  `reason` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '申请原因',
  `secondary_audit_date` datetime NULL DEFAULT NULL COMMENT '二级审核时间',
  `secondary_audit_opinion` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '二级审核意见',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '二级审核员id',
  `apply_type` int NULL DEFAULT NULL COMMENT '申请类型:2.销毁/1.外带',
  `create_time` datetime NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  `unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '重量单位',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '检材申请实体类' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sample_apply
-- ----------------------------

-- ----------------------------
-- Table structure for sample_apply_detailed
-- ----------------------------
DROP TABLE IF EXISTS `sample_apply_detailed`;
CREATE TABLE `sample_apply_detailed`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'id',
  `sample_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本id',
  `apply_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '申请id',
  `status` int NULL DEFAULT NULL COMMENT '1通过/-1不通过',
  `create_time` datetime NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sample_apply_detailed
-- ----------------------------

-- ----------------------------
-- Table structure for sample_inbound_and_outbound_table
-- ----------------------------
DROP TABLE IF EXISTS `sample_inbound_and_outbound_table`;
CREATE TABLE `sample_inbound_and_outbound_table`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `appraiser_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '鉴定人--也是领取人',
  `out_warehouse_date` datetime NULL DEFAULT NULL COMMENT '分析样出库时间',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  `sample_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本id',
  `warehousing_date` datetime NULL DEFAULT NULL COMMENT '入库时间',
  `im_administrators` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '检材管理员',
  `recipient` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '存放人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  `return_time` datetime NULL DEFAULT NULL COMMENT '归还时间',
  `inbound_supervisor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '入库监督人',
  `outbound_supervisor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '出库监督人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sample_inbound_and_outbound_table
-- ----------------------------
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('00FE003477B8EBCE9487065EEC2E686E', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:50:59', '测试', '1878974706086039554', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('03F9D7C19BC3FBB34690AC035237053C', NULL, NULL, '检材入库', '25ADF0C29762F4133CB744A6933291FA', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-03 14:56:55', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '1c5987643d3a949b732542c448c120b5', NULL, 'f98ba4408b42a41984e2a34258f8acae', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('047161BA660DA909DDA5D5BA9F4BC8B4', NULL, NULL, '检材入库', 'ACEAAAE16A654DA5230B7FCE385CE3EE', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:58', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('0C51352FC718A30FA39FBE3DC2723C7A', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:51:51', 'iiii', '1878645765295804418', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:36:03', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('0FDB3393507F9F4F82A3B7131963C7CC', NULL, NULL, '检材入库', '1878645837630771201', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:25:34', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('11743CB4251E5D6E5C448B8D029263DF', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 00:00:00', '拿出来玩玩', '1878750723981955074', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:32', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('26330B1CD088F7F6A61FC972BC7DA250', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 00:00:00', 'lll', '1878622652499718145', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:31:33', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('26519AB6B2CC0681C3E69A29EE99A551', NULL, NULL, '检材入库', '1878622773564108802', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:00:19', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('2898E3F6D7EF589AB92562B03A3C9FF0', NULL, NULL, '检材入库', '1877653464675221505', '2025-01-13 09:21:10', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 09:21:35', '2025-01-13 09:21:35', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, NULL, NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('2EECD184A5F8E5D1B6E2DE599D5A5211', NULL, NULL, '检材入库', '2B8316CAF8EEB5762DDBE39238F8534C', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:57', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('30D2ADD19D4D28A8CFC7FCEC0AD1A1AB', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 00:00:00', '1111111', '1878645765295804418', '2025-01-13 11:33:47', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:33:47', '2025-01-13 11:33:47', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('340E88A814E3CD996736FCB673705DAE', NULL, NULL, '检材入库', '1878643544378228737', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('53242B509E69B2D85CB3076C7D6FD3BD', NULL, NULL, '检材入库', '8A0C81FE9E9BCB44A22E1C7A4620CFBD', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:57', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('6227CCE0AE8E0A1B7BA32211BDA81A3C', NULL, NULL, '检材入库', '568DB8189320411A8D3C63A8AF06E607', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:19:00', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('6634A7C425BC23DA53C8D3B34A215121', NULL, NULL, '检材入库', '69AE85ADC8AA6C47AB82512255BA2467', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:58', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('68333B4733075D88A500CCB765C63855', '50d28c59a966a690d264e2f111435068', '2024-11-29 09:35:10', '检验鉴定', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '2024-11-29 09:24:46', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '2024-11-29 09:24:46', '2024-11-29 09:24:46', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '2024-11-29 00:00:00', 'f98ba4408b42a41984e2a34258f8acae', 'd5bac407f79de0ca9bef5b6ce98a7cdc');
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('6D7835DE2F64C8F6DE63329324C0B856', NULL, NULL, '检材入库', '1877653382269730818', '2025-01-13 09:21:10', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 09:21:35', '2025-01-13 09:21:35', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, NULL, NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('7B7B9997E1E4006D11F34C1127FE7397', NULL, NULL, '检材入库', '4046FBD7AEAD6A6F7F16FAFF2E5084E9', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:19:00', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('7BAA2A0DBE9BF8561A6885D3E9D6233A', NULL, NULL, '检材入库', '94BCD67E9B32355F1B8972F6AF74460C', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:58', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('7C68CCB217989BAAB4CC7B95039C2667', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 00:00:00', 'lll', '1878622460044079105', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:31:33', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('8B17CA603BBDD2572C637B37C0E0E766', NULL, NULL, '检材入库', 'FC7CC05DD3D43BBF46341CB8463F4DE1', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:18:13', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('8DD9B70AC6A76C8F0B52419C465137D0', NULL, NULL, '检材入库', '1878974706086039554', '2025-01-14 09:52:06', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:52:06', '2025-01-14 09:52:06', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, NULL, NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('8E9FDDEC2723618FE91BD5CCFDC12667', NULL, NULL, '检材入库', '60F148339E5232E020DB598A2EA0407D', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:18:13', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('9E9DCDE4E8324620CEE5D0AC8A5C2BC2', NULL, NULL, '检材入库', '1878750549620543489', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:29:26', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, NULL, NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('A18E9EDCF7684C34826DD2A90EFB337D', NULL, NULL, '检材入库', '13054A58F4CC01D6824CFF81916EF650', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:57', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('ABDCEFCF6CF6B42156E642146DC1C521', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:51:51', 'iiii', '1878645837630771201', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:36:03', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('B4D2AFB4E84ACC366741C22F5D06CBD4', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:50:59', '测试', '1878975329657409537', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('CA9B1052C0372C36514960D30405D4C6', NULL, NULL, '检材入库', '1878622265432567810', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:00:19', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('D64B3A78BDE422FB4B2370F2166C88DF', NULL, NULL, '检材入库', '1878643312840065025', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('D686BE33ECF14D751A52525F46EC8333', NULL, NULL, '检材入库', '1872090533366747137', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '2024-12-26 09:22:19', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('E16F76909A0562892B3B9EC618A179CC', NULL, NULL, '检材入库', '1878974405933256706', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('E72771BD5A858078E55C2AAC1AA6564C', NULL, NULL, '检材入库', '1878750723981955074', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:29:26', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, NULL, NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('E7A3C4659E69E3B30CE22DFEDF257198', NULL, NULL, '检材入库', '1878643452430696449', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('E8C9E5A2D7F114D7677F4C2BD12A2750', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 00:00:00', '拿出来玩玩', '1878750549620543489', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:32', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('EC62707D490BE6D67CD90BF9EA4A7017', NULL, NULL, '检材入库', '2E4477BC71DCC9F848EE6AE6144272C1', '2024-12-25 16:19:30', '8dc12f99dfe97426bf1ba00a0d037f60', 'f98ba4408b42a41984e2a34258f8acae', '2024-12-25 16:19:30', '2024-12-25 16:19:30', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', NULL, '1', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('F1078C81ED3BB00E76514A183ABB52B4', NULL, NULL, '检材入库', 'B7F8F61FEA6A804CF3845199D8264BC9', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-03 14:56:55', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '1c5987643d3a949b732542c448c120b5', NULL, 'f98ba4408b42a41984e2a34258f8acae', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('F8E625C6081CD7314431CD428CF1AAD2', NULL, NULL, '检材入库', '1872090533370941442', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '2024-12-26 09:22:19', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('FB1A1507FCC1F24450DDAEF9C80AEFA5', NULL, NULL, '检材入库', '1878975589096083457', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('FDC134AEAD7CF13708E2053CC965896A', NULL, NULL, '检材入库', '1878645765295804418', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:25:34', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', NULL, '', NULL);
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('FDE561CB51C00AB8890B26AB55D726F0', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 12:21:43', '检验鉴定', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '2024-11-29 12:14:51', '8dc12f99dfe97426bf1ba00a0d037f60', '50d28c59a966a690d264e2f111435068', '2024-11-29 12:14:51', '2024-11-29 12:14:51', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 00:00:00', '1', '1');
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('FED5386AAA00285FF993EC6D30974EDB', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 00:00:00', '1111111', '1878645837630771201', '2025-01-13 11:31:54', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:31:54', '2025-01-13 11:31:54', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', NULL, '', NULL);

-- ----------------------------
-- Table structure for sample_inbound_record
-- ----------------------------
DROP TABLE IF EXISTS `sample_inbound_record`;
CREATE TABLE `sample_inbound_record`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `warehousing_date` datetime NULL DEFAULT NULL COMMENT '入库时间',
  `im_administrators` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '检材管理员id',
  `sample_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本id',
  `warehousing_person_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '入库人id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sample_inbound_record
-- ----------------------------
INSERT INTO `sample_inbound_record` VALUES ('0628A83BD4DBED22576C347C40C43E9E', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '2B8316CAF8EEB5762DDBE39238F8534C', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:57', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('087ABA9A608E5C0384FB14E23B1F743B', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', 'FC7CC05DD3D43BBF46341CB8463F4DE1', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:18:13', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('10377DF394C8D70EF4EAF65D3215ED78', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', '1878750549620543489', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:32', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('1F6F882F614B3BCF989ED9F806CA6567', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '4046FBD7AEAD6A6F7F16FAFF2E5084E9', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:19:00', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('24E61BB6FBB82E668211FC77C92A26B4', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', '1878750549620543489', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:29:26', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('24E7B9361295C034C36CCADF8A6FAB70', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '13054A58F4CC01D6824CFF81916EF650', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:57', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('283EF2DF6E36974850EDDF89900B3950', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '69AE85ADC8AA6C47AB82512255BA2467', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:58', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('299DC0523D7F79FD9869158EE4D68127', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', '1878645837630771201', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:36:03', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('2FAEF5AFFFED68788C3018623D5C9477', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', '1878622460044079105', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:31:33', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '海洛因01');
INSERT INTO `sample_inbound_record` VALUES ('33144A6D0E5A1F20B91A410BC553FB08', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', '1878622265432567810', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:00:19', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '冰毒01');
INSERT INTO `sample_inbound_record` VALUES ('352AD09E69D69235C258D06A833C288E', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', '1878643312840065025', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('48B50B16969DA79A660F8740B16FC6B1', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', '1878643452430696449', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('4B70DA3C3C1693038C7E6F2A59513636', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '94BCD67E9B32355F1B8972F6AF74460C', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:58', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('4F013D9FB09B2A406ED311254C1F0B5C', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '568DB8189320411A8D3C63A8AF06E607', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:19:00', '2024-12-06 17:19:00', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('5492DCDF9E1F01EF8991E282D824AD8D', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', '1878975589096083457', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '液体冰毒');
INSERT INTO `sample_inbound_record` VALUES ('54F243DC25E434402E3607823C853140', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', '1878750723981955074', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:29:26', '2025-01-13 18:29:26', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('57D8733FFD7B00DE9334D5AD442809D0', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '25ADF0C29762F4133CB744A6933291FA', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-03 14:56:55', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '1c5987643d3a949b732542c448c120b5', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('5C3E1AD46BCED900A6F4449787721C53', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', '1878622773564108802', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:00:19', '2025-01-13 10:00:19', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '海洛因02');
INSERT INTO `sample_inbound_record` VALUES ('6CA72C62CEDA45FEFF85DF483CA50EDB', '2025-01-13 09:21:10', 'd26046736c8c7bf2dd9ac996081d7715', '1877653382269730818', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 09:21:35', '2025-01-13 09:21:35', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('6F420C157DE2A3A3251157C81CF8C38F', '2024-12-25 16:19:30', '8dc12f99dfe97426bf1ba00a0d037f60', '2E4477BC71DCC9F848EE6AE6144272C1', 'f98ba4408b42a41984e2a34258f8acae', '2024-12-25 16:19:30', '2024-12-25 16:19:30', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '1-疑似摇头丸的白色药丸');
INSERT INTO `sample_inbound_record` VALUES ('7061B93F761F61E8C18576A651907EDE', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', '1878645765295804418', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:25:34', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('75B0E7E9547145B87F69CDFEAC7BE5CD', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8A0C81FE9E9BCB44A22E1C7A4620CFBD', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:57', '2024-11-29 17:34:57', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('80BD60DCE99D359DC00F578CF904C9BD', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '1872090533370941442', '50d28c59a966a690d264e2f111435068', '2024-12-26 09:22:19', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '检材入库', '疑似摇头丸毒品');
INSERT INTO `sample_inbound_record` VALUES ('83A4319C3FDBA73F68C09B2CC4C49FAF', '2025-01-13 11:33:47', 'd26046736c8c7bf2dd9ac996081d7715', '1878645765295804418', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:33:47', '2025-01-13 11:33:47', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('91F808D470A6CB04AAF428E79522E980', '2025-01-13 09:21:10', 'd26046736c8c7bf2dd9ac996081d7715', '1877653464675221505', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 09:21:35', '2025-01-13 09:21:35', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('930F58DAFCDC7F612FCD1BA04637974C', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', '1878974405933256706', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '海洛因-0916');
INSERT INTO `sample_inbound_record` VALUES ('9650877BA6B99C73AF60BE52EA0E3F25', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', '1878643544378228737', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 11:27:03', '2025-01-13 11:27:03', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '摇头丸');
INSERT INTO `sample_inbound_record` VALUES ('A01262CFDF0256B05586B450166EFDB0', '2025-01-13 11:31:54', 'd26046736c8c7bf2dd9ac996081d7715', '1878645837630771201', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:31:54', '2025-01-13 11:31:54', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('AC356334C501213290721FC5A9BDB637', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', '1878974706086039554', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '神仙水');
INSERT INTO `sample_inbound_record` VALUES ('AE09101B1A50CD4E8CD41C13EF01F318', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', '1878622652499718145', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-13 10:31:33', '2025-01-13 10:31:33', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '芬太尼02');
INSERT INTO `sample_inbound_record` VALUES ('B41801E6D57EEFCF6A41FEDBAA7C79E6', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', '1878645765295804418', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 11:36:03', '2025-01-13 11:36:03', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '海洛因');
INSERT INTO `sample_inbound_record` VALUES ('B45C5A9CCB6315D693C66DC73BFF96AB', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', 'ACEAAAE16A654DA5230B7FCE385CE3EE', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:34:58', '2024-11-29 17:34:58', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('B52493ECDBDD2005239A3DDD66A65ABF', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', '1878645837630771201', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:25:34', '2025-01-14 09:25:34', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('C1B47A0C93C706EB3D800BAB665E52E4', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', 'B7F8F61FEA6A804CF3845199D8264BC9', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-03 14:56:55', '2024-12-03 14:56:55', '1c5987643d3a949b732542c448c120b5', '1c5987643d3a949b732542c448c120b5', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('D734B371A5C63CE52478E0A5EE2B041F', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', '1878750723981955074', 'd26046736c8c7bf2dd9ac996081d7715', '2025-01-13 18:28:32', '2025-01-13 18:28:32', 'd26046736c8c7bf2dd9ac996081d7715', 'd26046736c8c7bf2dd9ac996081d7715', '检材入库', '冰毒');
INSERT INTO `sample_inbound_record` VALUES ('D798FD989A3912FE9B0C6F496CB67E9F', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '1872090533366747137', '50d28c59a966a690d264e2f111435068', '2024-12-26 09:22:19', '2024-12-26 09:22:19', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '检材入库', '疑似海洛因毒品');
INSERT INTO `sample_inbound_record` VALUES ('DEBC91B070C0496B06BBEF7B73E8974B', '2024-11-29 09:24:46', '50d28c59a966a690d264e2f111435068', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '50d28c59a966a690d264e2f111435068', '2024-11-29 09:24:46', '2024-11-29 09:24:46', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '检材入库', '疑似冰毒');
INSERT INTO `sample_inbound_record` VALUES ('E0864C62263B8F4BC0138DD5AB4F8342', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', '1878975329657409537', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:23:50', '2025-01-14 09:23:50', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '开心水');
INSERT INTO `sample_inbound_record` VALUES ('F283E4F3268EA6F07A1A78AFC12B8D0F', '2025-01-14 09:52:06', 'f98ba4408b42a41984e2a34258f8acae', '1878974706086039554', 'f98ba4408b42a41984e2a34258f8acae', '2025-01-14 09:52:06', '2025-01-14 09:52:06', 'f98ba4408b42a41984e2a34258f8acae', 'f98ba4408b42a41984e2a34258f8acae', '检材入库', '神仙水');
INSERT INTO `sample_inbound_record` VALUES ('FE1C42996CEBF0D8FF37BE201155EE8B', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '60F148339E5232E020DB598A2EA0407D', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-12-06 17:18:13', '2024-12-06 17:18:13', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒2');
INSERT INTO `sample_inbound_record` VALUES ('FF651F7AA3E5864003CC87FC06E9E1BA', '2024-11-29 12:14:51', '8dc12f99dfe97426bf1ba00a0d037f60', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '50d28c59a966a690d264e2f111435068', '2024-11-29 12:14:51', '2024-11-29 12:14:51', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '检材入库', '疑似冰毒');

-- ----------------------------
-- Table structure for sample_out_warehouse_apply
-- ----------------------------
DROP TABLE IF EXISTS `sample_out_warehouse_apply`;
CREATE TABLE `sample_out_warehouse_apply`  (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `applicant_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '申请人id',
  `application_date` datetime(6) NULL DEFAULT NULL COMMENT '申请时间',
  `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '出库用途',
  `return_date` datetime(6) NULL DEFAULT NULL COMMENT '归还日期',
  `sample_code_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '取检码',
  `status` tinyint(1) NOT NULL COMMENT '申请状态:待同意/拒绝/同意/已经失效',
  `appraiser_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '鉴定人id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '--修改人',
  `im_administrators_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '检材管理员',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '样本出库申请实体类' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sample_out_warehouse_apply
-- ----------------------------
INSERT INTO `sample_out_warehouse_apply` VALUES ('8DEF48A6526BEF19690C779891E916CF', '50d28c59a966a690d264e2f111435068', '2024-11-29 09:34:14.000000', '检验鉴定', '2024-11-29 00:00:00.000000', '549588(已使用)', 3, '50d28c59a966a690d264e2f111435068', '2024-11-29 09:34:14', '2024-11-29 09:35:10.000000', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068');
INSERT INTO `sample_out_warehouse_apply` VALUES ('AC50A1BE10B984D57793B9A9937CC724', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:37:08.000000', '检验鉴定', '2024-11-29 00:00:00.000000', '308875', 2, '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 17:37:08', '2024-11-29 17:37:08.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60');
INSERT INTO `sample_out_warehouse_apply` VALUES ('B4D5C543EE9131305FA6DF3C4123A8E5', '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 12:19:31.000000', '检验鉴定', '2024-11-29 00:00:00.000000', '818864(已使用)', 3, '8dc12f99dfe97426bf1ba00a0d037f60', '2024-11-29 12:19:31', '2024-11-29 12:21:42.000000', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60');

-- ----------------------------
-- Table structure for sample_outbound_record
-- ----------------------------
DROP TABLE IF EXISTS `sample_outbound_record`;
CREATE TABLE `sample_outbound_record`  (
  `id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键id',
  `sample_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本id',
  `recipient_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '领取人id',
  `reason` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '原因/备注',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '样本名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '修改人',
  `outbound_type` int NULL DEFAULT NULL COMMENT '出库类型:1.领用/2.销毁/3.退还',
  `outbound_date` datetime NULL DEFAULT NULL COMMENT '出库时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sample_outbound_record
-- ----------------------------
INSERT INTO `sample_outbound_record` VALUES ('93704797F4A98383453825EA5697996A', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '8dc12f99dfe97426bf1ba00a0d037f60', '检验鉴定', '疑似冰毒', '2024-11-29 12:21:43', '2024-11-29 12:21:43', '8dc12f99dfe97426bf1ba00a0d037f60', '8dc12f99dfe97426bf1ba00a0d037f60', 1, '2024-11-29 12:21:43');
INSERT INTO `sample_outbound_record` VALUES ('DF9DC3CDE57B27D75B8DBCD1A460BF34', '27CC03191BEA3DD6DD4FEAA9A35CDD3D', '50d28c59a966a690d264e2f111435068', '检验鉴定', '疑似冰毒', '2024-11-29 09:35:10', '2024-11-29 09:35:10', '50d28c59a966a690d264e2f111435068', '50d28c59a966a690d264e2f111435068', 1, '2024-11-29 09:35:10');

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  `ext` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid` ASC, `branch_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2156 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of undo_log
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
