package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 保存毒品库信息中的案件和检材信息DTO类
 */
@Data
@ApiModel(value = "DrugDepotsDTO", description = "保存毒品库信息中的案件和检材信息DTO类")
public class DrugDepotsDTO {

    @ApiModelProperty("送缴申请id")
    @NotBlank(message = "请选择送缴申请id！")
    private String applyId;

    @ApiModelProperty("关联的检材列表")
    private List<DrugMaterialInfoDTO> drugMaterialInfoDTOList;
}
