package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "DrugInRepositoryDTO", description = "毒品预入库DTO参数")
public class DrugInRepositoryDTO {

    @ApiModelProperty("入库类型， 1 正常入库， 2 归还入库, 默认是")
    private Integer type = 1;

    @ApiModelProperty(value = "出库记录id查询, 因为检材会涉及到多次出库")
    private String usageRecordId;

    @ApiModelProperty("入库样本列表")
    @NotEmpty(message = "入库样本编号不能为空!")
    private List<InRepositoryDTO> sampleList;
}
