package digital.laboratory.platform.imr.dto;

import digital.laboratory.platform.sys.entity.DrugLite;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 毒品库中的毒品检材信息 保存DTO类
 * @TableName b_drug_material_info
 */
@Data
@ApiModel(value = "DrugMaterialInfoDTO", description = "毒品库中的毒品检材信息 保存DTO类")
public class DrugMaterialInfoDTO {

    @ApiModelProperty("毒品检材id")
    private String id;

    /**
     * 毒品类型
     */
    @ApiModelProperty("毒品类型")
    private List<DrugLite> type;

    /**
     * 案事件名称
     */
    @ApiModelProperty("案事件名称")
    @NotBlank(message = "案事件名称不能为空！")
    private String caseName;

    /**
     * 案件编号
     */
    @ApiModelProperty("案件编号")
    private String caseNo;

    /**
     * 毒品检材名称
     */
    @ApiModelProperty("毒品检材名称")
    private String drugName;

    /**
     * 质量/体积
     */
    @ApiModelProperty("原质量/体积（委托单位填写）")
    private String originMassVolume;

    /**
     * 质量/体积 单位
     */
    @ApiModelProperty("原质量/体积 单位 （委托单位填写）")
    private String originUnit;

    /**
     * 复称质量/体积（接收单位填写）
     */
    @ApiModelProperty("复称质量/体积（接收单位填写）")
    private String recheckMassVolume;

    /**
     * 复称质量/体积 单位 （接收单位填写）
     */
    @ApiModelProperty("复称质量/体积 单位 （接收单位填写）")
    private String recheckUnit;


    /**
     * 包装是否完整， 1 完整 | 0 不完整
     */
    @ApiModelProperty("包装是否完整， 1 完整 | 0 不完整")
    private Boolean packageComplete;

}
