package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * 毒品库中关联的案事件信息
 * @TableName b_drug_case_info
 */
@TableName(value ="b_drug_case_info")
@Data
public class DrugCaseInfo extends BaseEntity {
    /**
     * 主键标识
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 案事件名称
     */
    private String caseName;

    /**
     * 案件编号
     */
    private String caseNo;

    /**
     * 关联送缴申请的id
     */
    private String applyId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
