package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;

/**
 * 毒品检材的领用归还记录表
 * @TableName b_drug_usage_record
 */
@Data
@TableName(value ="b_drug_usage_record")
public class DrugUsageRecord extends BaseEntity {

    /**
     * 主键标识
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 关联领用的毒品id
     */
    private String drugId;

    /**
     * 领用物品名称
     */
    private String usageName;


    /**
     * 领用申请人
     */
    private String applicant;

    /**
     * 领用申请人姓名
     */
    private String applicantName;

    /**
     * 领用时间
     */
    private LocalDateTime usageDate;

    /**
     * 领用目的
     */
    private String usagePurpose;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}