package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-04-10 23:44:10
 * @describe  实体类
 */
@Data
@TableName(value = "sample_inbound_record", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class SampleInboundRecord extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 入库时间
     */
    @ApiModelProperty(value="入库时间")
    private LocalDateTime warehousingDate;

    /**
     * 检材管理员
     */
    @ApiModelProperty(value="检材管理员")
    private String imAdministrators;

    /**
     * 样本id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;

    /**
     * 入库人id
     */
    @ApiModelProperty(value="入库人id")
    private String warehousingPersonId;


    @ApiModelProperty(value="样本名称")
    private String name;


    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String remarks;


}
