package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.imr.entity.DrugMaterialInfo;
import digital.laboratory.platform.imr.query.DrugDepotsQuery;
import digital.laboratory.platform.imr.vo.DrugMaterialInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author ChenJiangBao
* @description 针对表【b_drug_material_info(毒品库中的毒品检材信息)】的数据库操作Mapper
* @createDate 2024-11-07 12:04:42
* @Entity digital.laboratory.platform.imr.entity.DrugMaterialInfo
*/
@Mapper
public interface DrugMaterialInfoMapper extends BaseMapper<DrugMaterialInfo> {
    /**
     * 分页查询毒品库中的毒品检材信息VO列表
     * @param page
     * @param query
     * @return
     */
    IPage<DrugMaterialInfoVO> getDrugMaterialVOPage(IPage<DrugMaterialInfoVO> page, @Param("query") DrugDepotsQuery query);


    List<DrugMaterialInfoVO> getDrugMaterialVO(@Param(Constants.WRAPPER) Wrapper<DrugMaterialInfo> qw);

}




