package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.imr.entity.SampleInboundRecord;
import digital.laboratory.platform.imr.vo.InboundRecordVO;
import digital.laboratory.platform.imr.vo.RepositorySampleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-04-10
 * @describe  Mapper 类
 */
@Mapper
public interface SampleInboundRecordMapper extends BaseMapper<SampleInboundRecord> {

    /**
     * 入库记录分页
     * @param page
     * @param qw
     * @return
     */
    IPage<InboundRecordVO> inboundRecord(@Param("page") Page<SampleInboundRecord> page, @Param(Constants.WRAPPER) QueryWrapper<SampleInboundRecord> qw);
}
