package digital.laboratory.platform.imr.vo;

import cn.hutool.db.meta.Table;
import digital.laboratory.platform.imr.entity.SampleStorage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javassist.tools.rmi.Sample;
import lombok.Data;

import java.util.List;

/**
 * 仓库现有样本VOD
 */

@Data
@ApiModel(value = "仓库现有样本vo")
public class RepositorySampleVO extends SampleStorage {

    @ApiModelProperty(value = "样本编号")
    private String sampleNo;


    @ApiModelProperty(value = "事件名称")
    private String eventName;


    @ApiModelProperty(value = "样本类别")
    private String category;


    @ApiModelProperty(value = "样本性状")
    private String form;


    @ApiModelProperty(value = "存储方式")
    private String storageMethod;

    @ApiModelProperty(value = "存放人--拿来入库的人")
    private String depositorName;

    @ApiModelProperty(value = "领取人")
    private String recipientName;


    @ApiModelProperty(value = "描述")
    private String describe;//销毁预警描述



    @ApiModelProperty(value = "送检单位")
    private String orgName;//送检单位

    @ApiModelProperty(value = "检材编号")
    private String imNo;//检材编号


    @ApiModelProperty(value = "来源")
    private String source;//来源


    @ApiModelProperty(value = "来源名称")
    private String sourceName;//来源

    @ApiModelProperty(value = "检材管理员姓名")
    private String imAdministratorsName;//来源




    @ApiModelProperty(value = "出入库登记表vo")
    private List<SampleTableVO> tableVO;//来源







}
